Package ru.bitel.bgbilling.kernel.contract.param.common.bean

# Class MultiListParamValues

java.lang.Object
ru.bitel.bgbilling.kernel.contract.param.common.bean.MultiListParamValues

All Implemented Interfaces:
  `java.lang.Iterable<ListParamValue>`

    @Deprecated
    public class MultiListParamValues
    extends java.lang.Object
    implements java.lang.Iterable<ListParamValue>

Deprecated.
use `EntityAttrMultiList` and `ContractService.contractParameterGet(int, int)` or `ContractDao.getContractParameter(int, int)`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MultiListParamValues()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `add​(ListParamValue value)` | Deprecated.
  `java.lang.String` | `getCustomValue()` | Deprecated.
  `java.lang.String` | `getIdValue()` | Deprecated.
  `java.lang.String` | `getValue()` | Deprecated.
  `java.util.Iterator<ListParamValue>` | `iterator()` | Deprecated.
  `void` | `parseCustomValue​(java.lang.String customValue)` | Deprecated.
  `void` | `parseTitleValue​(java.lang.String value)` | Deprecated.
  `void` | `parseValue​(java.lang.String value)` | Deprecated.
  `int` | `size()` | Deprecated.
  `java.lang.String` | `toString()` | Deprecated.
  `java.lang.String` | `toStringValue()` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### MultiListParamValues

    public MultiListParamValues()
    Deprecated.

- ## Method Details

  - ### parseCustomValue

    public void parseCustomValue​(java.lang.String customValue)
    Deprecated.

  - ### parseValue

    public void parseValue​(java.lang.String value)
    Deprecated.

  - ### parseTitleValue

    public void parseTitleValue​(java.lang.String value)
    Deprecated.

  - ### getCustomValue

    public java.lang.String getCustomValue()
    Deprecated.

  - ### getIdValue

    public java.lang.String getIdValue()
    Deprecated.

  - ### getValue

    public java.lang.String getValue()
    Deprecated.

  - ### toString

    public java.lang.String toString()
    Deprecated.
    Overrides:
      `toString` in class `java.lang.Object`

  - ### toStringValue

    public java.lang.String toStringValue()
    Deprecated.

  - ### iterator

    public java.util.Iterator<ListParamValue> iterator()
    Deprecated.
    Specified by:
      `iterator` in interface `java.lang.Iterable<ListParamValue>`

  - ### add

    public void add​(ListParamValue value)
    Deprecated.

  - ### size

    public int size()
    Deprecated.